- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Vst::CVstTempo Class Reference

Inheritance diagram for Exponent::Vst::CVstTempo:

List of all members.

## Detailed Description

Gets and store info about the Vst Tempo information.

Date:
  15/02/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

  1.0.1 Replaced virtual functions with non virtual versions

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk Please note that VST is copyright Steinberg Media GmBh. No challenge is made to any of their trademarks To use this file, you require a copy of the VST SDK, available from www.steinberg.net for free

Id
  CVstTempo.hpp,v 1.3 2007/02/08 21:08:23 paul Exp

Definition at line 41 of file CVstTempo.hpp.

## Public Member Functions

- CVstTempo ()
- SSongInformation * getSongInformation () const
- bool getTempoInformation (const long flags=CVST_TEMPO_DEFAULT_VST_FLAGS)
- void initialiseFromAudioEffectX (AudioEffectX *theEffect)
- bool lastTempoIsValid () const
- virtual ~CVstTempo ()

## Static Public Attributes

- static const long CVST_TEMPO_DEFAULT_VST_FLAGS = kVstTempoValid | kVstTransportChanged | kVstBarsValid | kVstPpqPosValid | kVstTimeSigValid
- static const long CVST_TEMPO_TEMPO_ONLY_FLAG = kVstTempoValid

## Protected Attributes

- bool m_lastTempoValid
- SSongInformation * m_songInformation
- AudioEffectX * m_theEffect

## Classes

- struct SSongInformation
    Stores all the information about the song for the current process buffer. More...

## Constructor & Destructor Documentation

Exponent::Vst::CVstTempo::CVstTempo | ( |  | ) |

Construction

virtual Exponent::Vst::CVstTempo::~CVstTempo | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

SSongInformation* Exponent::Vst::CVstTempo::getSongInformation | ( |  | ) | const`[inline]`

Get the tempo information

Return values:

  | SSongInformation* | Current process block song info

Definition at line 140 of file CVstTempo.hpp.

References m_songInformation.

bool Exponent::Vst::CVstTempo::getTempoInformation | ( | const long | flags = `CVST_TEMPO_DEFAULT_VST_FLAGS` | ) |

Get tempo information for this block buffer

Return values:

  | bool | True if correctly acquired tempo info, false otherwise

void Exponent::Vst::CVstTempo::initialiseFromAudioEffectX | ( | AudioEffectX * | theEffect | ) |

Initialise from AudioEffectX

Parameters:

  | theEffect | The Effect to intialise from

bool Exponent::Vst::CVstTempo::lastTempoIsValid | ( |  | ) | const`[inline]`

Is the tempo valid

Return values:

  | bool | True if the tempo is valid for this process block, false on error or if not available

Definition at line 134 of file CVstTempo.hpp.

References m_lastTempoValid.

## Member Data Documentation

const long Exponent::Vst::CVstTempo::CVST_TEMPO_DEFAULT_VST_FLAGS = kVstTempoValid | kVstTransportChanged | kVstBarsValid | kVstPpqPosValid | kVstTimeSigValid`[static]`

Everything valid

Definition at line 101 of file CVstTempo.hpp.

const long Exponent::Vst::CVstTempo::CVST_TEMPO_TEMPO_ONLY_FLAG = kVstTempoValid`[static]`

Only tempo valid

Definition at line 102 of file CVstTempo.hpp.

bool Exponent::Vst::CVstTempo::m_lastTempoValid`[protected]`

Is tempo information currently valid

Definition at line 149 of file CVstTempo.hpp.

Referenced by lastTempoIsValid().

SSongInformation* Exponent::Vst::CVstTempo::m_songInformation`[protected]`

Information about the song

Definition at line 150 of file CVstTempo.hpp.

Referenced by getSongInformation().

AudioEffectX* Exponent::Vst::CVstTempo::m_theEffect`[protected]`

The effect to connect to for tempo info

Definition at line 148 of file CVstTempo.hpp.